vasp 5.2 runnig error--MPI_Comm_f2c

Questions regarding compilation of VASP on various platforms.

Moderators: Global Moderator, Moderator

vasp 5.2 runnig error--MPI_Comm_f2c

Postby dswei0523 » Sat May 12, 2012 5:47 pm

Hi Everyone,

This week I installed vasp 5.2 with intel ifort (11.1), intel mk (11.1) and openmpi 1.3.3 successfully. But when I running it with mpirun I got the following error:

=====================================

vasp.5.2.12 11Nov11 complex

*** An error occurred in MPI_Comm_f2c

*** before MPI was initialized

*** MPI_ERRORS_ARE_FATAL (your MPI job will now abort)

[node1:34810] Abort before MPI_INIT completed successfully; not able to guarantee that all other processes were killed!

======================================

I'm sure I use the same openmpi version to compile and run vasp.

Anybody can give me some hints to solve this problem? Thanks in advance.

Dongshan
<span class='smallblacktext'>[ Edited ]</span>
Last edited by dswei0523 on Sat May 12, 2012 5:47 pm, edited 1 time in total.
dswei0523
Newbie
Newbie
 
Posts: 1
Joined: Fri Oct 29, 2010 4:50 pm

vasp 5.2 runnig error--MPI_Comm_f2c

Postby mu11a11y » Tue May 27, 2014 2:17 pm

I got this after:
1. Building a serial binary
2. Editing the makefile to create an MPI parallel binary
3. Performing make

The problem was most of the objects were from the serial run. So were the .f90 files. To fix your VASP binary, go to the VASP directory, rm *.f90 *.o; then rebuild with make
Last edited by mu11a11y on Tue May 27, 2014 2:17 pm, edited 1 time in total.
mu11a11y
Newbie
Newbie
 
Posts: 1
Joined: Wed Jul 20, 2011 2:46 am


Return to Installation problems

Who is online

Users browsing this forum: No registered users and 1 guest